| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::ExifToolListView Class Reference
Inheritance diagram for Digikam::ExifToolListView:

## Public Slots
void | slotSearchTextChanged (const SearchTextSettings &)

## Signals
void | signalLoadingResult (bool ok)
void | signalTextFilterMatch (bool)

## Public Member Functions
| ExifToolListView (QWidget *const parent)
QString | errorString () const
QString | getCurrentItemKey () const
void | loadFromUrl (const QUrl &url)
void | setCurrentItemByKey (const QString &itemKey)
void | setGroupList (const QStringList &tagsFilter, const QStringList &keysFilter=QStringList())

## Member Function Documentation

## ◆ setGroupList()

void Digikam::ExifToolListView::setGroupList | ( | const QStringList & | tagsFilter,
|  | const QStringList & | keysFilter = `QStringList()`
| ) |  |

Key is formatted like this:

EXIF.ExifIFD.Image.ExposureCompensation File.File.Other.FileType Composite.Composite.Time.SubSecModifyDate File.System.Time.FileInodeChangeDate File.System.Other.FileSize EXIF.GPS.Location.GPSLongitude ICC_Profile.ICC-header.Image.ProfileCreator EXIF.IFD1.Image.ThumbnailOffset JFIF.JFIF.Image.YResolution ICC_Profile.ICC_Profile.Image.GreenMatrixColumn